package com.heyu.api.data.service.impl.operation;
/**
* <p>
* 模式列表（大场景），运行场景列表 服务类
* </p>
*
* @author quyixiao
* @since 2025-03-04
*/

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.heyu.api.data.dao.operation.OperatinModeDao;
import com.heyu.api.data.entity.operation.OperatinModeEntity;
import com.heyu.api.data.service.operation.OperatinModeService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
@Service
public class OperatinModeServiceImpl extends ServiceImpl<OperatinModeDao, OperatinModeEntity> implements OperatinModeService {


    @Autowired
	private OperatinModeDao operatinModeDao;



	@Override
	public OperatinModeEntity selectOperatinModeById(Long id){
		return operatinModeDao.selectOperatinModeById(id);
	}



	@Override
	public Long insertOperatinMode(OperatinModeEntity operatinMode){
		return operatinModeDao.insertOperatinMode(operatinMode);
	}



	@Override
	public Long insertOrUpdateOperatinMode(OperatinModeEntity operatinMode){
		return operatinModeDao.insertOrUpdateOperatinMode(operatinMode);
	}



	@Override
	public int updateOperatinModeById(OperatinModeEntity operatinMode){
		return operatinModeDao.updateOperatinModeById(operatinMode);
	}



	@Override
	public int updateCoverOperatinModeById(OperatinModeEntity operatinMode){
		return operatinModeDao.updateCoverOperatinModeById(operatinMode);
	}



	@Override
	public int deleteOperatinModeById(Long id){
		return operatinModeDao.deleteOperatinModeById(id);
	}



}
